VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::resource::ModelStub Class Reference

Remote stub implementation of the Model API service. More...

Inherits vmware::vapi::metadata::metamodel::resource::Model.

List of all members.

## Public Member Functions
| ModelStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.HashSet < string > | List (string resourceId)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .
global::System.Collections.Generic.HashSet < string > | List (string resourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync (string resourceId)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync (string resourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

## Detailed Description

Remote stub implementation of the Model API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::resource::ModelStub::ModelStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::resource::ModelStub::List | ( | string | resourceId | ) | `[inline]`

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::resource::Model.

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::resource::ModelStub::List | ( | string | resourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::resource::Model.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::resource::ModelStub::ListAsync | ( | string | resourceId | ) | `[inline]`

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::resource::Model.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::resource::ModelStub::ListAsync | ( | string | resourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the set of identifiers for the structure elements that are models for the resource type corresponding to resourceId .

The vmware.vapi.metadata.metamodel.Structure interface provides methods to retrieve more details about the structure elements corresponding to the identifiers returned by this method.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the resource type associated with resourceId does not exist.

Parameters:

  resourceId | Identifier of the resource type. The parameter must be an identifier for the resource type: `com.vmware.vapi.resource` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The set of identifiers for the models that are associated with the resource type in resourceId . The result will contain identifiers for the resource type: `com.vmware.vapi.structure` .

Implements vmware::vapi::metadata::metamodel::resource::Model.

The documentation for this class was generated from the following file:

- ModelStub.cs